org.keycloak.services.clientpolicy.executor

## Class SecureClientAuthEnforceExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor
  - - org.keycloak.services.clientpolicy.executor.SecureClientAuthEnforceExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider

      public class SecureClientAuthEnforceExecutor
      extends AbstractAugumentingClientRegistrationPolicyExecutor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor

      `componentModel, IS_AUGMENT, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureClientAuthEnforceExecutor(KeycloakSession session, ComponentModel componentModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `augment(ClientRepresentation rep)` overrides the client settings specified by the argument.
    `protected void` | `validate(ClientRepresentation rep)` validate the client settings specified by the argument to check whether they follows what the executor expects.

    - ### Methods inherited from class org.keycloak.services.clientpolicy.executor.AbstractAugumentingClientRegistrationPolicyExecutor

      `executeOnEvent, getName, getProviderId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close`

- - ### Constructor Detail

    - #### SecureClientAuthEnforceExecutor

          public SecureClientAuthEnforceExecutor(KeycloakSession session,
                                                 ComponentModel componentModel)

  - ### Method Detail

    - #### augment

          protected void augment(ClientRepresentation rep)

      Description copied from class: `AbstractAugumentingClientRegistrationPolicyExecutor`
      overrides the client settings specified by the argument.
      Specified by:
        `augment` in class `AbstractAugumentingClientRegistrationPolicyExecutor`
      Parameters:
        `rep` - - the client settings

    - #### validate

          protected void validate(ClientRepresentation rep)
                           throws ClientPolicyException

      Description copied from class: `AbstractAugumentingClientRegistrationPolicyExecutor`
      validate the client settings specified by the argument to check whether they follows what the executor expects.
      Specified by:
        `validate` in class `AbstractAugumentingClientRegistrationPolicyExecutor`
      Parameters:
        `rep` - - the client settings
      Throws:
        `ClientPolicyException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.